http://iotevents.{region}.amazonaws.com/alarm-models/{alarmModelName}/versionsLists all the versions of an alarm model. The operation returns only the metadata associated with each alarm model version.
The name of the alarm model.
The token that you can use to return the next set of results.
The maximum number of results to be returned per request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iotevents.{region}.amazonaws.com/alarm-models/{alarmModelName}/versions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iotevents.{region}.amazonaws.com/alarm-models/{alarmModelName}/versionsLists all the versions of an alarm model. The operation returns only the metadata associated with each alarm model version.
The name of the alarm model.
The token that you can use to return the next set of results.
The maximum number of results to be returned per request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iotevents.{region}.amazonaws.com/alarm-models/{alarmModelName}/versions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}